Subject: [bug#40835] [PATCH] Update to use panfrost for graphics hardware acceleration

From: Brian Woodcox <[email-masked]>
Date: Sat, 2 May 2020 14:37:16 -0600

Success!!

I applied my newly revised patches to 76ac1d3918f91b9234cfb26c6519da0cf5f86302 on the wip-pinebook-pro branch.

u-boot correctly finds the rk3399-pinebook-pro.dtb file.

The extlinux.conf file no longer needs to be altered.  It is as follows:

# This file was generated from your Guix configuration.  Any changes
# will be lost upon reconfiguration.
UI menu.c32
MENU TITLE GNU Guix Boot Options
PROMPT 1
TIMEOUT 50
LABEL GNU with Linux-Libre-Pinebook-Pro 5.6.0
  MENU LABEL GNU with Linux-Libre-Pinebook-Pro 5.6.0
  KERNEL /gnu/store/qs1292ckhvkprsgdyxq665qj167l5c07-linux-libre-pinebook-pro-5.6.0/Image
  FDTDIR /gnu/store/qs1292ckhvkprsgdyxq665qj167l5c07-linux-libre-pinebook-pro-5.6.0/lib/dtbs
  INITRD /gnu/store/2d01lxl21i74jflji5smi9fhwsgyqanf-raw-initrd/initrd.cpio.gz
  APPEND --root=/dev/mmcblk1p1 --system=/gnu/store/453h9sqcqvnpj72k0gwia3zsfavhar4p-system --load=/gnu/store/453h9sqcqvnpj72k0gwia3zsfavhar4p-system/boot ethaddr=${ethaddr} eth1addr=${eth1addr} serial=${serial#} video=HDMI-A-1:1920x1080@60 video=eDP-1:1920x1080@60 vga=current

The FDTDIR /gnu/store/qs1292ckhvkprsgdyxq665qj167l5c07-linux-libre-pinebook-pro-5.6.0/lib/dtbs still has a rockchip sub-folder that contains the rk3399-pinebook-pro.dtb file.

I decided to go back to my older SD card and remove the rockchip from the FDTDIR path, and it also booted.

I know previously that janneke and I had problems with this, but obviously along the way something was fixed.

At any rate, it’s nice to see the image boot and no longer having to edit the extlinux.conf file.

I will have to put together a patch set in the near future.

Cheers!

Brian C. Woodcox

> On Apr 28, 2020, at 12:54 AM, Vagrant Cascadian <[email-masked]> wrote:
> 
> On 2020-04-27, Brian Woodcox wrote:
>>> On Apr 27, 2020, at 4:48 PM, Vagrant Cascadian <[email-masked]> wrote:
>>> 
>>> On 2020-04-27, Brian Woodcox wrote:
>>>>> On Apr 27, 2020, at 3:54 PM, Vagrant Cascadian <[email-masked]> wrote:
>>>>>>> On Apr 27, 2020, at 12:15 PM, Vagrant Cascadian <[email-masked]> wrote:
>>>>>>> On 2020-04-24, Brian Woodcox wrote:
>>>>>>>> You need to edit the /boot/extlinux/extlinux.conf file on the SD card and alter the FDTDIR line.
>>>>>>>> 
>>>>>>>> I changed mine from
>>>>>>>> 
>>>>>>>> FDTDIR /gnu/store/ls1byzmapi911cylh4s6044x0cmc61c8-linux-libre-pinebook-pro-5.6.0/lib/dtbs
>>>>>>>> 
>>>>>>>> to
>>>>>>>> 
>>>>>>>> FDTDIR /gnu/store/ls1byzmapi911cylh4s6044x0cmc61c8-linux-libre-pinebook-pro-5.6.0/lib/dtbs/rockchip
>>>>>>> 
>>>>>>> The u-boot-pinebook-pro-rk3399 on guix master works correctly as well as
>>>>>>> the one from wip-pinebook-pro (should be the same).
>>>>> 
>>>>> Oops, my bad. I've been merging master and core-updates locally and
>>>>> forgot the status of wip-pinebook-pro... I think I was waiting for the
>>>>> core-updates merge, but it's probably worth merging master just to get
>>>>> the updated u-boot-pinebook-pro-rk3399 based more closely on upstream
>>>>> u-boot!
>>>> 
>>>> I would be happy to test that out when done!
>>> 
>>> Will keep you posted. Once I've merged that, maybe you can rebase your
>>> patch into a patch series?
>>> 
>> 
>> Sounds good.  I will do that.
> 
> Pushed!
> 
> live well,
>  vagrant